コンテンツへスキップ

Stable Video Diffusion

統合

モデルID fast-svd/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/fast-svd/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: ≈$0.033 33 APIクレジット このページで実行

APIキーを取得
Open model テキストから動画 高速

動きの強さ、fps、ステップ数、ノイズ拡張を制御できるSVD v1.1のテキストから動画への生成

Open model · 動画

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

生成の初期基盤となるプロンプト。

詳細設定 negative_prompt · deep_cache · video_size · motion_bucket_id · cond_aug · steps · fps · seed · enable_safety_checker
デフォルト unrealistic, saturate...

ネガティブプロンプトとして指定する初期生成ガイダンス。

deep_cache デフォルト none

後方互換性のためだけに残されている非推奨オプション。処理には影響しません。

video_size デフォルト landscape_16_9

生成された動画のサイズ。

デフォルト 127

モーションバケットID。値が大きいほど、生成動画の動きが強くなります。

デフォルト 0.02

条件付けフレームに適用するノイズレベル。上げると初期画像との類似度を犠牲にして、より大きな動きを促します。

デフォルト 20

モデルのステップ数。増やすほど生成時間が長くなる代わりに品質が向上します。

デフォルト 10

生成動画のフレームレート。動画は合計25フレームで構成されます。値を大きくすると再生が速くなります。

Stable Diffusionで画像を再現するためのシード。モデルバージョン、プロンプト、シードを変更しなければ、毎回画像を完全に再現できます。

POST /run/fast-svd/text-to-video?wait=20 見積もり → $0.033
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/fast-svd/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Stable Video Diffusionについて

テキスト`prompt`から短い動画クリップを生成し、任意で`negative_prompt`を指定できます。`motion_bucket_id`(1~255)で動きの量、`fps`は1~25、`steps`は1~100を設定します。出力サイズはsquare_hd、portrait_16_9、landscape_4_3などのプリセットから選択し、`seed`で結果を再現できます。`deep_cache`オプションは効果がありません。

パラメータ

名前型 デフォルト許可される値 説明
prompt必須
型string
生成の初期基盤となるプロンプト。
motion_bucket_id任意
型integer
デフォルト127
1 – 255
モーションバケットID。値が大きいほど、生成動画の動きが強くなります。
cond_aug任意
型number
デフォルト0.02
0 – 10
条件付けフレームに適用するノイズレベル。上げると初期画像との類似度を犠牲にして、より大きな動きを促します。
seed任意
型integer | null
Stable Diffusionで画像を再現するためのシード。モデルバージョン、プロンプト、シードを変更しなければ、毎回画像を完全に再現できます。
steps任意
型integer
デフォルト20
1 – 100
モデルのステップ数。増やすほど生成時間が長くなる代わりに品質が向上します。
deep_cache任意
型enum
デフォルトnone
noneminimummediumhigh
後方互換性のためだけに残されている非推奨オプション。処理には影響しません。
fps任意
型integer
デフォルト10
1 – 25
生成動画のフレームレート。動画は合計25フレームで構成されます。値を大きくすると再生が速くなります。
negative_prompt任意
型string
デフォルトunrealistic, saturated, high contrast, big nose, painting, drawing, sketch, cartoon, anime, manga, render, CG, 3d, watermark, signature, label
ネガティブプロンプトとして指定する初期生成ガイダンス。
video_size任意
型object
デフォルトlandscape_16_9
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
生成された動画のサイズ。
enable_safety_checker任意
型boolean
デフォルトtrue
呼び出し元に権限がある場合、false に設定するとスクリーニングを緩和できます。
必須

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "fast-svd/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 33,
    "usd": "0.033",
    "charged": 33,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
video
object {url, content_type, file_name, file_size}生成された動画ファイル。
seed
integer画像生成シード。入力でシードを省略した場合はランダムに選ばれた値を含み、それ以外では指定値を繰り返します。

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/fast-svd/text-to-video.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt